=== modified file 'configure.ac'
--- configure.ac	2009-03-03 22:20:07 +0000
+++ configure.ac	2009-03-04 02:28:24 +0000
@@ -401,25 +401,6 @@
   uuid_generate(uout);
 ])
 
-#--------------------------------------------------------------------
-# Check for libevent
-#--------------------------------------------------------------------
-
-AC_LIB_HAVE_LINKFLAGS(event,,
-[
-#include <sys/types.h>
-#include <sys/time.h>
-#include <stdlib.h>
-#include <event.h>
-],[
-  struct bufferevent bev;
-  bufferevent_settimeout(&bev, 1, 1);
-  event_init();
-  event_loop(EVLOOP_ONCE);
-]) 
-AS_IF([test x$ac_cv_libevent = xno],
-      AC_MSG_ERROR([A recent libevent is required for Drizzle. Check http://www.monkey.org/~provos/libevent ]))
-
 
 
 #--------------------------------------------------------------------

=== modified file 'drizzled/Makefile.am'
--- drizzled/Makefile.am	2009-03-03 01:59:29 +0000
+++ drizzled/Makefile.am	2009-03-04 02:28:24 +0000
@@ -355,7 +355,7 @@
 		 $(top_builddir)/drizzled/serialize/libserialize.la \
 		 @mysql_plugin_libs@ \
 		 $(LDADD) $(LIBUUID) ${top_builddir}/gnulib/libgnu.la \
-		 $(LIBDL_LIBS) $(LIBEVENT) $(LIBPROTOBUF) $(LIBPCRE) \
+		 $(LIBDL_LIBS) $(LIBPROTOBUF) $(LIBPCRE) \
 		 $(DRIZZLED_PLUGIN_DEP_LIBS)
 drizzled_DEPENDENCIES = @mysql_plugin_libs@ ${noinst_LTLIBRARIES}
 

=== modified file 'plugin/pool_of_threads/plug.in'
--- plugin/pool_of_threads/plug.in	2009-02-10 00:14:40 +0000
+++ plugin/pool_of_threads/plug.in	2009-03-04 02:28:24 +0000
@@ -1,3 +1,24 @@
 DRIZZLE_PLUGIN(pool_of_threads,  [Pool of Threads Scheduler])
 DRIZZLE_PLUGIN_STATIC(pool_of_threads,   [libpool_of_threads.la])
 DRIZZLE_PLUGIN_MANDATORY(pool_of_threads)  dnl Default
+DRIZZLE_PLUGIN_ACTIONS(pool_of_threads, [
+#--------------------------------------------------------------------
+# Check for libevent
+#--------------------------------------------------------------------
+
+  AC_LIB_HAVE_LINKFLAGS(event,,
+  [
+  #include <sys/types.h>
+  #include <sys/time.h>
+  #include <stdlib.h>
+  #include <event.h>
+  ],[
+    struct bufferevent bev;
+    bufferevent_settimeout(&bev, 1, 1);
+    event_init();
+    event_loop(EVLOOP_ONCE);
+  ]) 
+  AS_IF([test x$ac_cv_libevent = xno],
+      AC_MSG_ERROR([A recent libevent is required for Drizzle. Check http://www.monkey.org/~provos/libevent ]))
+  DRIZZLED_PLUGIN_DEP_LIBS="${DRIZZLED_PLUGIN_DEP_LIBS} ${LIBEVENT}"
+])

